Bug 1413528 - Base Runtime
Summary: Base Runtime
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SelfContainedChange
Depends On: BaseRuntimeFTBFS
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 09:43 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:20 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-01-16 09:43:38 UTC
This is a tracking bug for Change: Base Runtime
For more details, see: https://fedoraproject.org//wiki/Changes/BaseRuntime

We will deliver the first release of Base Runtime, a module providing base operating system features that application level modules can build and depend on. This module will be the foundation of the new modular Fedora 26 Server release.

Comment 1 Jan Kurik 2017-02-28 10:08:13 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 10:59:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:49:47 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Petr Šabata 2017-03-03 09:09:01 UTC
It's still in progress but there's a testable repository available here:
https://fedorapeople.org/groups/modularity/repos/base-runtime/26/

The base-runtime and bootstrap module definitions are available in staging dist-git under modules/base-runtime and modules/bootstrap.  There are also bootstrap tags in production (f26-modularity) and staging (module-bootstrap-master-1) that can be used as buildroots for base-runtime.

The Module Build Service is being deployed into production just today so if it all goes well, we will try to build the base-runtime module in production sometime tomorrow.

I'm switching this to MODIFIED.

Comment 5 Jan Kurik 2017-05-17 09:12:52 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 6 Petr Šabata 2017-05-18 11:18:51 UTC
Base Runtime API was stabilized on April 20.  Its components are built and available as part of the Fedora-Modular-26 compose.  Changing to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.